(function(jQuery) {
	var $ = jQuery;

	$(document).ready(function() {

		
		var $= jQuery;
		
		
		var _gaq = _gaq || [];	
		
		_gaq.push(['myTracker._setAccount', 'UA-23573028-1']);
											 
		var url = $('#registration-box').attr('data-url');
		
		_gaq.push(function() {
		  var pageTracker = _gat._getTrackerByName('myTracker');
		  var link = document.getElementById('#registration-box');
		  link.href = pageTracker._getLinkerUrl('https://www.kronikoensarea.net/');
		});
		
		_gaq.push(['_trackEvent', 'registration', 'loaded']);
		
		//_gaq
		
		
		var targetUrl = document.location.href;

		if (targetUrl.indexOf("?") == -1) {

			targetUrl = targetUrl + "?";

		} else {

			targetUrl = targetUrl + "&";
		}

		$("input").not(".tunnel-next").keypress(function(e) {
		    if(e.keyCode == 13) {
		        return false;
		    }
		});

		$("#finishRegister").bind("click",function() {

			parent.jQuery.fancybox.close();
		});
		
		$("#end-step").bind("click",function() {

			parent.jQuery.fancybox.close();
		});
		
		$('a.out').each(function(){
			
			$(this).attr('target', '_blank');
			
		});

		var ulMain = $(".iron-tunnel-main:eq(0)");

		$(".tag").css("cursor","default").bind("click",function() {
			var selectedClass = $(this).attr("rel");
			$("li",ulMain).fadeOut("fast");
			var that = $(this);
			$(".tag").css("border","0px");
			window.setTimeout(function() {
				$("li."+selectedClass+":lt(4)",ulMain).fadeIn();
				that.css("border-bottom","1px dotted #000");
			},500);
		});

		$(".tag").eq(Math.floor(Math.random() * $(".tag",ulMain).length)).trigger("click");

		/****
		 * Validaciones
		 */
		
		var errorMsgs = {};

		$.getJSON(targetUrl + "fetch=msgs", function(data) {

			errorMsgs = data;
		});

		$("#next-step1").click(function () {

			var isValid = true;

			$(".step-buttons button, #step-status li label").css('cursor', 'wait');
			
			
			//Username
			$("#signup_username").each(function () {

				var uName = $(this).attr("value");
				
				var errorP = $(this).parent('div').find('.error');
				if (errorP.length<=0) {
					errorP = $('<p />', {'class': 'error'});
					errorP.appendTo($(this).parent('div'));
				}
				errorP.empty();
				

				var legend = $(this).parent('div').find('.legend');

				if(uName.length < 4) {

					isValid = false;
					
					
					legend.fadeOut();
					errorP.html(errorMsgs.signup_username);
					
					
					

				} else {

					$.ajax({
						  url: targetUrl + "validate=true",
						  type: "POST",
						  context: document.body,
						  async: false,
						  dataType : "json",
						  data: "signup_username=" + uName,
						  success: function(resp){

							  	legend.fadeOut();
							  	errorP.html(resp.msg);
								
								if(resp.msg != "") {
									isValid = false;							
								}
						  }
						}
					);
				}
			});

			//Email
			$("#signup_email").each(function () {

				var email = encodeURIComponent($(this).attr("value"));

				
				var errorP = $(this).parent('div').find('.error');
				if (errorP.length<=0) {
					errorP = $('<p />', {'class': 'error'});
					errorP.appendTo($(this).parent('div'));
				}
				errorP.empty();
				
				var legend = $(this).parent('div').find('.legend');
				
				$.ajax({
					  url: targetUrl + "validate=true",
					  type: "POST",
					  context: document.body,
					  async: false,
					  dataType : "json",
					  data: "signup_email=" + email,
					  success: function(resp){
						  	legend.fadeOut();
						  	errorP.html(resp.msg);
							if(resp.msg != "") {

								isValid = false;
							}
					  }
					}
				);
			});

			//Passwd
			$("#signup_password_confirm").each(function () {

				
				
				var passwdField = $("#signup_password"); 
				var passwd = passwdField.attr("value");
				var passwd2 = $(this).attr("value");

				var errorP = $(this).parent('div').find('.error');
				if (errorP.length<=0) {
					errorP = $('<p />', {'class': 'error'});
					errorP.appendTo($(this).parent('div'));
				}
				errorP.empty();
				
				var legend = $(this).parent('div').find('.legend');

				if(passwd != passwd2) {

					isValid = false;
					legend.fadeOut();
					errorP.html(errorMsgs.signup_password[0]);
				}

				if(passwd.length < 4) {

					isValid = false;
					legend.fadeOut();
					errorP.html(errorMsgs.signup_password[1]);
				}
			});
			
			
			/*if (isValid) {
				$('#signupform').submit();	
			}*/
			
			if (isValid && $('#privacy_policy').is(':checked')) {
				nextStep();
			}
			
			$(".step-buttons button, #step-status li label").css('cursor', 'pointer');

			return isValid;
		});
		
		$('#next-step').click(function(){
			
			nextStep();
			
		});
		
		$('#prev-step').click(function(){
			nextStep(true);
		});
		
		function nextStep(back) {
			var back = back || false;
			var selectedStep = $(".step.selected").attr('id');
			if (selectedStep == 'step-1' && !back) {
				$('#last-step').hide();
				$('#next-step').show();
				$('#next-step1').hide();
				$('#prev-step').show();
			}
			if (selectedStep == 'step-2' && !back) {
				$('#last-step').hide();
				$('#next-step').show();
				$('#next-step1').hide();
				$('#prev-step').show();
			}
			if (selectedStep == 'step-3' && !back) {
				$('#last-step').show();
				$('#next-step').hide();
				$('#next-step1').hide();
				$('#prev-step').show();
			}
			
			if (selectedStep == 'step-4' && back) {
				$('#last-step').hide();
				$('#next-step').show();
				$('#next-step1').hide();
				$('#prev-step').show();
			}
			if (selectedStep == 'step-2' && back) {
				$('#last-step').hide();
				$('#next-step').hide();
				$('#next-step1').show();
				$('#prev-step').hide();
			}
			if (selectedStep == 'step-3' && back) {
				$('#last-step').hide();
				$('#next-step').show();
				$('#next-step1').hide();
				$('#prev-step').show();
			}
			
			
			var tmp =  selectedStep.split("-");
			if (back) {
				var i = (parseInt(tmp[1])-1);	
			} else {
				var i = (parseInt(tmp[1])+1);
			}
			
			var si = $('#step-control');
			$('li.selected', si).removeClass('selected');
			$('li[rel=step-'+i+']', si).addClass('selected');
			
			var steps = $('#steps');
			$('li.selected', steps).removeClass('selected');
			$('li[rel=step-'+i+']', steps).addClass('selected');
			
			
			
			
			var n = $("#step-"+i);
			$(".step.selected").removeClass('selected');
			n.addClass('selected');
			
			if (i == 3) {
				$("#Poblacion").trigger('focus');
			}
		}
		
		if ($("#allOK").length>0 ) {
			_gaq.push(['_trackEvent', 'registration', 'finished']);
			
		}

		if ($("#allNOK").length>0 ) {
			_gaq.push(['_trackEvent', 'registration', 'failed']);
		}
		
		
		
		$("#last-step").click(function () {
			$('#signupform').submit();
			
			_gaq.push(['_trackEvent', 'registration', 'submit']);
		});

		$("#tabcontinue_4").click(function () {

			var isValid = true;

			$("#Poblacion").each(function () {

				if ($(this).attr("value") == "") {

					isValid = false;
					alert(errorMsgs.Poblacion);
				}

			});
			return isValid;
		});
		
		
		/*$('input', $("#step-privacy, #step-status")).bind('change', function(){
				$(this).parents('ul').find('.checked').removeClass('checked');;
				$(this).parent('label').addClass('checked');
				alert('sdg');
		});*/
		
		
		$("li", $("#step-privacy")).bind('click', function(){
			$("#step-privacy").find('.checked').removeClass('checked');
			$("#step-privacy").find('input').attr('checked', '');
			$(this).find('label').addClass('checked');
			$(this).find('input').attr('checked', 'checked');
		});

		$("li", $("#step-status")).bind('click', function(){
			$("#step-status").find('.checked').removeClass('checked');
			$("#step-status").find('input').attr('checked', '');
			$(this).find('label').addClass('checked');
			$(this).find('input').attr('checked', 'checked');
		});

		/*$("#step-status").find('li').click(function(){
			$("#step-privacy").find('.checked').removeClass('checked');
			$("#step-privacy").find('input').attr('checked', '');
			$(this).find('label').addClass('checked');
			
			$(this).find('input').attr('checked', 'checked');
			
			
			alert($("#step-privacy").find(':checked').val());
			
		});*/
		
		
		

	});

})(jQuery);	
